import { LitElement } from 'lit';
import { Size } from '@umbraco-ui/uui-base/lib/types';
/**
 *  @element uui-loader-circle
 * @description - Circular loader for indicating loading. You can put in in a button ;)
 */
export declare class UUILoaderCircleElement extends LitElement {
    static styles: import("lit").CSSResult[];
    private _strokeDashOffset;
    private _largeSizes;
    /**
     * Sets the size of the loader
     * @attr
     * @type {''|'xs' | 's' | 'm' | 'l' | 'xl'}
     * @default ''
     */
    size: Size;
    /**
     * Sets the progress that loader shows
     * @type {number}
     * @attr
     * @default 0
     */
    progress: number;
    /**
     * If true then element displays progress number for sizes `l` and `xl`.
     * @type {boolean}
     * @attr show-progress
     * @default false
     */
    showProgress: boolean;
    render(): import("lit-html").TemplateResult<1>;
}
